Web API Reference | MapGuide Open Source

- Overview
- Modules
- Classes

# MgFeatureCommandCollection Class Reference
[MgFeatureCommandCollection]

Represents a collection of feature commands. More...

Inherits MgSerializable.

List of all members.

## Public Member Functions
void | Add (MgFeatureCommand *command)
| Adds the specified command to the end of the collection.
void | Clear ()
| Removes all commands from the collection.
bool | Contains (const MgFeatureCommand *command) const
| Returns true if the collection contains the specified command, false otherwise.
INT32 | GetCount () const
| Gets the number of commands in the collection.
MgFeatureCommand * | GetItem (INT32 index) const
| Gets the command in the collection at the specified index.
INT32 | IndexOf (const MgFeatureCommand *command) const
| Returns the index of the specified command in the collection or -1 if the command does not exist.
void | Insert (INT32 index, MgFeatureCommand *command)
| Inserts the specified command at the specified index within the collection. Items following the insertion point are moved down to accommodate the new command.
| MgFeatureCommandCollection ()
| Constructor. Creates an empty collection of feature commands.
bool | Remove (MgFeatureCommand *command)
| Removes the specified command from the collection.
void | RemoveAt (INT32 index)
| Removes the specified command from the collection.
void | SetItem (INT32 index, MgFeatureCommand *command)
| Sets the command in the collection at the specified index to the specified command. If there was already command assigned to specified index, it will be overwritten.

## Detailed Description

Represents a collection of feature commands.

Remarks:
  Feature commands are used to perform insert, update, and delete operations on an Fdo data source. This collection is an argument to MgFeatureService::UpdateFeatures. The feature commands are executed in the order they appear in the collection. Additional arguments to UpdateFeatures control whether or not the commands are executed as part of a transaction.

Comments or suggestions? Send us feedback.